Aller au contenu
Support de Zwii et Yocto
  • 0
danyelguero

GD Library is not installed

Question

Lors de l'import d'image depuis mon poste, l'image s'importe mais au terme de l'upload j'ai le message qu'il manque la librairie GD.

image.png.359ca48a6ce3fe4bc28068a6c3cf2276.png

 

Après recherche , il s'agit du paquet php-gd ou pour ma version de php 7.3 php7.3-gd que j'ai donc installé.

 

J'ai relancé apache2 et php mais le message persiste .

 

De même les icônes présent au début de chaque article de blog dans la vue liste des articles ne s'affiche pas.

 

Auriez-vous une idée??

Partager ce message


Lien à poster
Partager sur d’autres sites

13 réponses à cette question

Messages recommandés

  • 0
il y a 2 minutes, PeterRabbit a dit :

Bonjour @danyelguero

As-tu essayé en ligne, dans un sous-répertoire d'essais ? Cela permettrait de savoir si le problème ne vient pas de l'installation en local.

 

Désolés mais j'ai rien compris.....

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
il y a 5 minutes, danyelguero a dit :

 

Désolés mais j'ai rien compris.....

 

Ah bon ? Je reformule en explicitant : souvent des erreurs et des comportements bizarres sont en rapport avec une installation en local, ce qui me semble être ton cas. Je te conseille donc d'installer ton site dans un sous répertoire chez ton hébergeur, pour voir si les défauts persistent, ce qui permettrait d'avoir une idée de leur origine : http://ton adresse/essai/, par exemple, en supposant que ton hébergeur autorise ce genre d'installation.

Même s'il peut être pratique de le mettre au point en local, la finalité d'un site, c'est tout de même d'être mis en ligne, non ?

 

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
il y a 1 minute, PeterRabbit a dit :

 

Ah bon ? Je reformule en explicitant : souvent des erreurs et des comportements bizarres sont en rapport avec une installation en local, ce qui me semble être ton cas. Je te conseille donc d'installer ton site dans un sous répertoire chez ton hébergeur, pour voir si les défauts persistent, ce qui permettrait d'avoir une idée de leur origine : http://ton adresse/essai/, par exemple, en supposant que ton hébergeur autorise ce genre d'installation.

Même s'il peut être pratique de le mettre au point en local, la finalité d'un site, c'est tout de même d'être mis en ligne, non ?

 

Mon site est bien en ligne et non en local.

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Sur un serveur perso, dans ce cas ?

Et c'est la première fois que tu constates ce problème ? Quelle version de Zwii utilises-tu ?

Modifié par PeterRabbit

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
il y a 2 minutes, PeterRabbit a dit :

Ok. Je n'aurais pas dû éditer mon précédent message : c'est la première fois que tu constates ce problème ? Quelle version de Zwii utilises-tu ?

 

J'utilise la toute dernière 8.5.5

En effet c'est la première fois que je le constate.

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Bizarre. RFM n'est pas en cause, c'est la même version depuis la 8.4 (de mémoire).

Peux-tu faire une installation neuve dans un sous-répertoire de ton serveur ?

As-tu essayé de réinstaller ton site après avoir fait une copie du répertoire "site" et des fichiers que tu aurais éventuellement personnalisés ?

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
il y a 7 minutes, PeterRabbit a dit :

Bizarre. RFM n'est pas en cause, c'est la même version depuis la 8.4 (de mémoire).

Peux-tu faire une installation neuve dans un sous-répertoire de ton serveur ?

As-tu essayé de réinstaller ton site après avoir fait une copie du répertoire "site" et des fichiers que tu aurais éventuellement personnalisés ?

Non, mais je vais m'y attelé du coup.

Je te tiens au courant, merci

  • J'aime 1

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
il y a une heure, PeterRabbit a dit :

Bizarre. RFM n'est pas en cause, c'est la même version depuis la 8.4 (de mémoire).

Peux-tu faire une installation neuve dans un sous-répertoire de ton serveur ?

As-tu essayé de réinstaller ton site après avoir fait une copie du répertoire "site" et des fichiers que tu aurais éventuellement personnalisés ?

Je viens de refaire une install propre, j'ajoute un fichier et même soucis du coup...

 

Il doit forcément manquer une autre dépendance php pour que ça marche, aurais-tu la liste complet des paquets php à isntaller stp?

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

J'aimerais bien pouvoir te répondre de façon sûre, @danyelguero, mais j'avoue que je trouve ta question surprenante : Zwii demande seulement un PHP 5.6 ainsi que le support de .htaccess.

Je suppose que tu as upgradé PHP depuis la dernière fois que ça fonctionnait. Questions bêtes : es-tu sûr que PHP 7.3 soit bien reconnu ? As-tu installé ce qu'il faut pour faire dialoguer PHP 7.3 avec ta version d'Apache ? L'as-tu mis à jour lui aussi ?

 

Bref, si j'étais à ta place, bêtement empirique comme je suis, je reviendrais sagement à une version dont on sait qu'elle fonctionne (7.1, par exemple), ou je chargerais toutes les extensions associables à PHP 7.3 et Apache — sauf bien sûr celles qui concernent mySQL. Dans le lot, il y aura certainement celle(s) qui te manque(nt) : cf. précédent ici.

 

 

 

Modifié par PeterRabbit

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Bonsoir 

Il suffit d’activer la bibliothèque du même nom dans php.ini en décommentant la ligne.  

Faire de même pour zip.so

Evidemment, on redémarre Apache à l’issue.  

Partager ce message


Lien à poster
Partager sur d’autres sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Invité
Répondre à cette question…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.


  • Contenu similaire

    • Par Fred
      Comme promis :
       
      Bientôt je vous parlerai de deux éditeurs php, vscodium et brackets avec les infos de config.
    • Par Fred
      Cette archive contient le serveur Web Laragon avec
      Apache 2.4.39 Php 7.3.2 Les avantages :
      Portable il fonctionne sans aucune installation, sur disque ou clé externe ou interne
      On peut passer d'une version de php à l'autre facilement
      Configuration stricte de l'affichage des erreurs, idéal pour le dév
      Utilisation :
      Décompressez
      Placez le dossier Laragon dans le bon lecteur
      Cliquez sur Laragon.exe
      Validez les fenêtres du pare-feu
      Cliquez sur web pour afficher Localhost
      Cliquez sur Dossier www pour le dossier web
    • Par Fred
      Serveur Web Laragon
      Voir le fichier Cette archive contient le serveur Web Laragon avec
      Apache 2.4.39 Php 7.3.2 Les avantages :
      Portable il fonctionne sans aucune installation, sur disque ou clé externe ou interne
      On peut passer d'une version de php à l'autre facilement
      Configuration stricte de l'affichage des erreurs, idéal pour le dév
      Utilisation :
      Décompressez
      Placez le dossier Laragon dans le bon lecteur
      Cliquez sur Laragon.exe
      Validez les fenêtres du pare-feu
      Cliquez sur web pour afficher Localhost
      Cliquez sur Dossier www pour le dossier web
      Contributeur Fred Soumis 02/07/2019 Catégorie Modifications et astuces  
×
×
  • Créer...